

Fix some warnings in the ppc64 build.

Also declare a couple of AIO functions in aio.h rather than aio.c They are
needed for 32-bit emulation support.


 arch/ppc64/boot/main.c        |    0 
 arch/ppc64/kernel/prom.c      |    0 
 arch/ppc64/kernel/sys_ppc32.c |    5 +++--
 fs/aio.c                      |    2 --
 include/linux/aio.h           |    3 +++
 5 files changed, 6 insertions(+), 4 deletions(-)

diff -puN arch/ppc64/boot/main.c~ppc64-scruffiness arch/ppc64/boot/main.c
diff -puN arch/ppc64/kernel/prom.c~ppc64-scruffiness arch/ppc64/kernel/prom.c
diff -puN arch/ppc64/kernel/sys_ppc32.c~ppc64-scruffiness arch/ppc64/kernel/sys_ppc32.c
--- 25/arch/ppc64/kernel/sys_ppc32.c~ppc64-scruffiness	2003-03-15 18:43:20.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/sys_ppc32.c	2003-03-15 18:43:26.000000000 -0800
@@ -32,6 +32,7 @@
 #include <linux/shm.h>
 #include <linux/slab.h>
 #include <linux/uio.h>
+#include <linux/aio.h>
 #include <linux/nfs_fs.h>
 #include <linux/smb_fs.h>
 #include <linux/smb_mount.h>
@@ -3049,7 +3050,7 @@ long sys32_io_submit(aio_context_t ctx_i
 		struct iocb tmp;
 		u32 *user_iocb;
 
-		if (unlikely(__get_user(user_iocb, iocbpp + i))) {
+		if (unlikely(__get_user((u32)(long)user_iocb, iocbpp + i))) {
 			ret = -EFAULT;
 			break;
 		}
@@ -3059,7 +3060,7 @@ long sys32_io_submit(aio_context_t ctx_i
 			break;
 		}
 
-		ret = io_submit_one(ctx, user_iocb, &tmp);
+		ret = io_submit_one(ctx, (struct iocb *)user_iocb, &tmp);
 		if (ret)
 			break;
 	}
diff -puN include/linux/aio.h~ppc64-scruffiness include/linux/aio.h
--- 25/include/linux/aio.h~ppc64-scruffiness	2003-03-15 18:43:20.000000000 -0800
+++ 25-akpm/include/linux/aio.h	2003-03-15 18:43:26.000000000 -0800
@@ -147,6 +147,9 @@ extern int FASTCALL(aio_complete(struct 
 extern void FASTCALL(__put_ioctx(struct kioctx *ctx));
 struct mm_struct;
 extern void FASTCALL(exit_aio(struct mm_struct *mm));
+extern struct kioctx *lookup_ioctx(unsigned long ctx_id);
+extern int FASTCALL(io_submit_one(struct kioctx *ctx,
+			struct iocb *user_iocb, struct iocb *iocb));
 
 #define get_ioctx(kioctx)	do { if (unlikely(atomic_read(&(kioctx)->users) <= 0)) BUG(); atomic_inc(&(kioctx)->users); } while (0)
 #define put_ioctx(kioctx)	do { if (unlikely(atomic_dec_and_test(&(kioctx)->users))) __put_ioctx(kioctx); else if (unlikely(atomic_read(&(kioctx)->users) < 0)) BUG(); } while (0)
diff -puN fs/aio.c~ppc64-scruffiness fs/aio.c
--- 25/fs/aio.c~ppc64-scruffiness	2003-03-15 18:43:20.000000000 -0800
+++ 25-akpm/fs/aio.c	2003-03-15 18:43:26.000000000 -0800
@@ -984,8 +984,6 @@ asmlinkage long sys_io_destroy(aio_conte
 	return -EINVAL;
 }
 
-int FASTCALL(io_submit_one(struct kioctx *ctx, struct iocb *user_iocb,
-				  struct iocb *iocb));
 int io_submit_one(struct kioctx *ctx, struct iocb *user_iocb,
 			 struct iocb *iocb)
 {

_
